import { openBlock, createElementBlock, normalizeClass, createElementVNode, normalizeStyle } from 'vue';

var script = {
    props: ["color", "customColor"]
};

function render(_ctx, _cache, $props, $setup, $data, $options) {
  return (openBlock(), createElementBlock("div", {
    class: normalizeClass(["lds-ellipsis", $props.color])
  }, [
    createElementVNode("div", {
      style: normalizeStyle({ backgroundColor: $props.customColor })
    }, null, 4 /* STYLE */),
    createElementVNode("div", {
      style: normalizeStyle({ backgroundColor: $props.customColor })
    }, null, 4 /* STYLE */),
    createElementVNode("div", {
      style: normalizeStyle({ backgroundColor: $props.customColor })
    }, null, 4 /* STYLE */),
    createElementVNode("div", {
      style: normalizeStyle({ backgroundColor: $props.customColor })
    }, null, 4 /* STYLE */)
  ], 2 /* CLASS */))
}

script.render = render;
script.__file = "src/components/loading.vue";

export { script as default };
